Tasks
Retrieve tasks linked to submissions
Returns the tasks of the workspace, filtered by the query parameters below.
Send the access token as Authorization: Bearer <token>.
Send the access token as Authorization: Bearer <token>.
Short name of the workspace, as found in the URL of the back-office.
structure id.
nullPattern: \d+all tasks after start date.
nullPattern: \d+all tasks before start date.
nullPattern: \d+all tasks with due date after date.
nullPattern: \d+all tasks with due date before date
nullPattern: \d+all tasks for user
nullPattern: \d+get tasks for current user
nullget periodic tasks or not
nullPage of the overview.
0Pattern: \d+Number of result by page (Max 100)
10Pattern: -?\d+API version to apply. Defaults to v1.0 when omitted; an unknown value falls back to the latest version.
v1.3Possible values: Paginated list of tasks
Missing or invalid access token.
GET /{app_short}/tasks HTTP/1.1
Host: api.daxium-air.com
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
{
"server_time": 1,
"tasks": [
{
"created_at": 1,
"deleted_at": 1,
"delay_after": 1,
"delay_before": 1,
"due_date": 1,
"duration": 1,
"fill_status": "filled",
"id": "123e4567-e89b-12d3-a456-426614174000",
"recurrency": {
"days": {
"ANY_ADDITIONAL_PROPERTY": {
"end": 1,
"start": "text"
}
},
"dayOfWeek": "text",
"end": {
"type": "occurrence",
"value": 1
},
"interval": 1,
"max_by_week": 1,
"min_by_week": 1,
"notDaysoff": true,
"numofday": 1,
"nth": 1,
"repeatEvery": 1,
"ruleMonth": "text",
"taskTiming": "text",
"type": "daily"
},
"start_date": 1,
"submission": {
"id": "123e4567-e89b-12d3-a456-426614174000",
"structure_id": 1,
"structure_version": 1,
"items": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"channels": [
"text"
],
"user_id": 1,
"last_updated_user_id": 1,
"assigned_user": {},
"user": {},
"subscribers": [
"text"
],
"current_state": "123e4567-e89b-12d3-a456-426614174000",
"submission_number": 1,
"number_in_structure": 1,
"latitude": 1,
"longitude": 1,
"settings": {},
"task_id": "123e4567-e89b-12d3-a456-426614174000",
"data_created_at": 1,
"data_updated_at": 1,
"created_at": 1,
"updated_at": 1,
"deleted_at": 1,
"read_at": "2026-01-01T00:00:00.000Z"
},
"submission_model": {
"id": "123e4567-e89b-12d3-a456-426614174000",
"structure_id": 1,
"structure_version": 1,
"items": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"channels": [
"text"
],
"user_id": 1,
"last_updated_user_id": 1,
"assigned_user": {},
"user": {},
"subscribers": [
"text"
],
"current_state": "123e4567-e89b-12d3-a456-426614174000",
"submission_number": 1,
"number_in_structure": 1,
"latitude": 1,
"longitude": 1,
"settings": {},
"task_id": "123e4567-e89b-12d3-a456-426614174000",
"data_created_at": 1,
"data_updated_at": 1,
"created_at": 1,
"updated_at": 1,
"deleted_at": 1,
"read_at": "2026-01-01T00:00:00.000Z"
},
"time_status": "normal",
"updated_at": 1,
"user_id": 1
}
],
"total_count": 1,
"total_pages": 1
}Last updated
Was this helpful?

